export default async function handler(req, res) {
  if (req.method !== 'POST') {
    return res.status(405).json({ error: 'Method not allowed' });
  }

  try {
    const { untrustedData, trustedData } = req.body;
    const fid = trustedData?.fid;

    if (!fid) {
      return res.status(400).json({ error: 'No FID provided' });
    }

    // Calculate users after (this would need actual API integration)
    const totalUsers = 1000000; // Example total users
    const usersAfter = totalUsers - fid;

    return res.status(200).json({
      version: 'vNext',
      image: {
        src: `https://warpstatsframehub.pro/api/render-stats?fid=${fid}&usersAfter=${usersAfter}`,
        aspectRatio: '1.91:1'
      },
      buttons: [
        {
          label: 'Share Stats',
          action: 'post'
        }
      ]
    });
  } catch (error) {
    console.error('Frame API error:', error);
    return res.status(500).json({ error: 'Internal server error' });
  }
}
